<?php
// +----------------------------------------------------------------------
// | likeadmin快速开发前后端分离管理后台（PHP版）
// +----------------------------------------------------------------------
// | 欢迎阅读学习系统程序代码，建议反馈是我们前进的动力
// | 开源版本可自由商用，可去除界面版权logo
// | gitee下载：https://gitee.com/likeshop_gitee/likeadmin
// | github下载：https://github.com/likeshop-github/likeadmin
// | 访问官网：https://www.likeadmin.cn
// | likeadmin团队 版权所有 拥有最终解释权
// +----------------------------------------------------------------------
// | author: likeadminTeam
// +----------------------------------------------------------------------

namespace app\adminapi\logic\device;


use app\common\model\device\MonitorThreshold;
use app\common\logic\BaseLogic;
use think\facade\Db;


/**
 * MonitorThreshold逻辑
 * Class MonitorThresholdLogic
 * @package app\adminapi\logic\device
 */
class MonitorThresholdLogic extends BaseLogic
{


    /**
     * @notes 添加
     * @param array $params
     * @return bool
     * @author likeadmin
     * @date 2023/11/24 16:17
     */
    public static function add(array $params): bool
    {
        Db::startTrans();
        try {
            MonitorThreshold::create([
                'fence_house_id' => $params['fence_house_id'],
                'air_temp_max' => $params['air_temp_max'],
                'air_temp_min' => $params['air_temp_min'],
                'air_mois_max' => $params['air_mois_max'],
                'air_mois_min' => $params['air_mois_min'],
                'nitrogen_min' => $params['nitrogen_min'],
                'nitrogen_max' => $params['nitrogen_max'],
                'fireproof_min' => $params['fireproof_min'],
                'fireproof_max' => $params['fireproof_max'],
                'methane_min' => $params['methane_min'],
                'methane_max' => $params['methane_max'],
                'noise_min' => $params['noise_min'],
                'noise_max' => $params['noise_max'],
                'temperature_min' => $params['temperature_min'],
                'temperature_max' => $params['temperature_max'],
            ]);

            Db::commit();
            return true;
        } catch (\Exception $e) {
            Db::rollback();
            self::setError($e->getMessage());
            return false;
        }
    }


    /**
     * @notes 编辑
     * @param array $params
     * @return bool
     * @author likeadmin
     * @date 2023/11/24 16:17
     */
    public static function edit(array $params): bool
    {
        Db::startTrans();
        try {
            MonitorThreshold::where('id', $params['id'])->update([
                'fence_house_id' => $params['fence_house_id'],
                'air_temp_max' => $params['air_temp_max'],
                'air_temp_min' => $params['air_temp_min'],
                'air_mois_max' => $params['air_mois_max'],
                'air_mois_min' => $params['air_mois_min'],
                'nitrogen_min' => $params['nitrogen_min'],
                'nitrogen_max' => $params['nitrogen_max'],
                'fireproof_min' => $params['fireproof_min'],
                'fireproof_max' => $params['fireproof_max'],
                'methane_min' => $params['methane_min'],
                'methane_max' => $params['methane_max'],
                'noise_min' => $params['noise_min'],
                'noise_max' => $params['noise_max'],
                'temperature_min' => $params['temperature_min'],
                'temperature_max' => $params['temperature_max'],
            ]);

            Db::commit();
            return true;
        } catch (\Exception $e) {
            Db::rollback();
            self::setError($e->getMessage());
            return false;
        }
    }


    /**
     * @notes 删除
     * @param array $params
     * @return bool
     * @author likeadmin
     * @date 2023/11/24 16:17
     */
    public static function delete(array $params): bool
    {
        return MonitorThreshold::destroy($params['id']);
    }


    /**
     * @notes 获取详情
     * @param $params
     * @return array
     * @author likeadmin
     * @date 2023/11/24 16:17
     */
    public static function detail($params): array
    {
        return MonitorThreshold::findOrEmpty($params['id'])->toArray();
    }
}